Обновление безопасности - Дизайн и модификация Invision Power Board

Перейти к содержимому

 

Правила раздела

Здесь обсуждаются вопросы по настройке и администрированию форумов IPB 3.x.
Пожалуйста, не оффтопьте, если зашли сюда случайно, и обратите внимание на соседние разделы.
Установка, настройка и обслуживание форумов IPB 2.x.
Оформление форумов, включая верстку скинов.
Размещение рекламы на форумах.
SEO оптимизация форума.
Техническая поддержка наших скинов и модов.

СвернутьПрикрепленные теги

Теги не найдены

Страница 1 из 1

Обновление безопасности для IP.Board 3.3.x-3.4.x и IP.Gallery 4.2.x-5.0.x

#1 Пользователь не на сайте   Zero108 ответил: »

 
 
  • Advanced
  • ***
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 1 562
  • Регистрация: 25-Июль 09
  • Репутация: 92
  • IPB version:4.1.x
 

Отправлено 26 Сентябрь 2013 - 11:03

Вышло обновление безопасности для IP.Board 3.3.x-3.4.x и IP.Gallery 4.2.x-5.0.x.

Скачать и установить, если у вас сборка от IPS, можно тут. Если не от IPS, придётся ждать выхода патча от вашего производителя.

Для тех, у кого IP.BOARD 3.4.0 - 3.4.4, необходимо предварительно обновиться до 3.4.5.
0

#2 Пользователь не на сайте   Bot ответил: »

 
 
  • Почетный робот
  • ***
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
 

Отправлено 26 Сентябрь 2013 - 11:03

Обратите внимание

По указанному вами в профиле "Board url" находится не IP.Board, либо модифицированный пиратский скрипт с удаленными копирайтами. Если вы указали неверный URL, пожауйста, поправьте его, потому что он скорее всего потребуется при диагностике вашей проблемы. Нелицензионные скрипты не приветствуются, т.к. зачастую именно некорректное "нуление" и является причиной проблем в них.


0

#3 Пользователь не на сайте   siv1987 ответил: »

 
 
  • Advanced
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins Team
  • Сообщений: 8 735
  • Регистрация: 20-Март 09
  • Репутация: 2 273
  • IPB version:3.1.x
 

Отправлено 26 Сентябрь 2013 - 11:16

Просмотреть сообщениеZero108 сказал(а):

Если не от IPS, придётся ждать выхода патча от вашего производителя.

Если не от IPS, можно ставить тоже от IPS, потому что запатченные файлы локализацией не затрагиваются.
0

#4 Пользователь не на сайте   Zero108 ответил: »

 
 
  • Advanced
  • ***
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 1 562
  • Регистрация: 25-Июль 09
  • Репутация: 92
  • IPB version:4.1.x
 

Отправлено 26 Сентябрь 2013 - 12:17

Я бы не был так категоричен. Есть разные сборки от разных частных фирм и частных и честных фрилансеров, разные доработанные форумы. Никто не даст гарантии, что в сторонних сборках не вносились изменения в *.php файлы, которые нужно заменить теми, что в патче. На мой взгляд, лучше всегда использовать патчи от производителя. Ну, или автор сборки продукта должен проверить патч на совместимость. Ни в коем случае не хотелось бы ставить под сомнение ваш авторитет в определённых кругах, но личный опыт подсказывает, что доверяй, но проверяй.

Сообщение изменено: Zero108 (26 Сентябрь 2013 - 12:19)

0

#5 Пользователь не на сайте   tolik777 ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 92
  • Регистрация: 11-Февраль 10
  • Репутация: 6
  • IPB version:4.1.x
 

Отправлено 27 Сентябрь 2013 - 10:35

Я вот не очень понял, если у меня нет скрипта галереи, а версия IPB 3.3.4, то нужно ли мне ставить патч?
А то скачал глянул, там скрипты для галереи есть и засомневался. В анонсе патча как-то не очень понятно про галерею написали
0

#6 Пользователь не на сайте   Zero108 ответил: »

 
 
  • Advanced
  • ***
  • Смотреть галерею
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 1 562
  • Регистрация: 25-Июль 09
  • Репутация: 92
  • IPB version:4.1.x
 

Отправлено 27 Сентябрь 2013 - 11:53

Там патч для форума и для галереи. Самый верный способ - обновить те файлы, которые у вас есть. Их там немного, нетрудно сличить.
0

#7 Пользователь не на сайте   tolik777 ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 92
  • Регистрация: 11-Февраль 10
  • Репутация: 6
  • IPB version:4.1.x
 

Отправлено 27 Сентябрь 2013 - 14:03

Да я DIFF'ом просто сравнил что у меня и что в патче. И там смотрю какая-то функция фильтрации вроде как новая. Поэтому и не рискнул накатывать. Но сейчас резервную копии исходных файлов сделаю, попробую все же поставить патч
0

#8 Пользователь не на сайте   VadimD ответил: »

 
 
  • Member
  • **
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: Пользователи
  • Сообщений: 77
  • Регистрация: 17-Декабрь 10
  • Репутация: 0
  • IPB version:3.1.x
 

Отправлено 08 Октябрь 2013 - 09:36

А как быть владельцам версии 3.1.4 от IBResource? Подскажите пожалуйста.
0

#9 Пользователь не на сайте   newbie ответил: »

 
 
  • Advanced
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins.ru Team
  • Сообщений: 2 166
  • Регистрация: 26-Октябрь 11
  • Репутация: 814
  • IPB version:I have no IPB
 

Отправлено 08 Октябрь 2013 - 10:46

Просмотреть сообщениеVadimD сказал(а):

А как быть владельцам версии 3.1.4 от IBResource? Подскажите пожалуйста.
Данная версия уже больше года официально не поддерживается http://community.inv...e-announcement/
0

#10 Пользователь не на сайте   Dmitriy427 ответил: »

 
 
  • Advanced
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Specialist
  • Сообщений: 574
  • Регистрация: 15-Октябрь 11
  • Репутация: 152
  • Откуда:Россия, Тула
  • IPB version:3.3.x
 

Отправлено 08 Октябрь 2013 - 21:08

Старые версии изначально избавлены от новых дыр. Don't worry, be happy.© :)

Критические обновления IPS и для 3.1.х выпускала еще совсем недавно, закончилась там поддержка или нет. А конкретно это, вам вряд ли жизненно необходимо.
0

#11 Пользователь не на сайте   Атаман ответил: »

 
 
  • Advanced
  • Смотреть блог
  • Insert nick to fast reply form
  • Quote selected text to fast reply form
  • Группа: IPB Skins.ru Team
  • Сообщений: 2 152
  • Регистрация: 13-Апрель 12
  • Репутация: 327
  • Откуда:no
  • IPB version:1.x
 

Отправлено 06 Март 2014 - 18:51

Обновление http://community.inv...ecurity-update/
2

Сообщить об этой теме:


Страница 1 из 1


Быстрый ответ

  

1 пользователей читают эту тему
0 зарегистрированных, 1 гостей, 0 скрытых


Контактная информация

Вопросы по работе сайта

+7 (917) 501-4765
C 10 до 20 в рабочие дни (время московское)

Техническая поддержка

Контактные данные специалистов

Дизайн форумов

IPB 3.x ¦ IPB 2.x

Бесплатные шаблоны

IPB 3.2 – 3.4 ¦ IPB 3.1 ¦ IPB 3.0 ¦ IPB 2.2 – 2.3 ¦ IPB 2.1 ¦ Клипарт
Лицензия на использование ¦ Ваша поддержка ¦ О проекте
Copyright © 2005-2016 IPBSkins.ru Team
При копировании материалов с сайта
прямая ссылка на источник обязательна